Subject: bug#57454: Why are window resizes ignored for Tramp processes?

From: [email-masked]
Date: Sat, 27 Aug 2022 22:38:35 +0200

Since

commit b0370a89f6dd57b95be30b8218e17c12d886c27a
Author: Michael Albinus <[email-masked]>
Date:   Thu May 4 12:21:32 2017 +0200

    Set process property `adjust-window-size-function' to `ignore' in Tramp

the size of pty for remote Tramp processes is fixed at 24x80.

This affects the following use case: from a remote buffer, type M-x
shell to open a shell buffer on the remote machine. Run gdb in this
shell and print a backtrace that is longer than 24 lines. Since gdb
thinks that the terminal height is 24, it will page the backtrace even
if it could fit into the actual emacs window height. Other programs that
output things differently based on terminal size are affected as well.

Simply reverting the mentioned commit fixes this issue, so I'm wondering
why it was necessary in the first place.